Compatibile layer 3.10 and 4.0

Be informed that this forum is not an official support forum for Joomla! 4.0. Any issues regarding Joomla! 4.0 must be reported at https://issues.joomla.org/.

Joomla 4.0 is still in Beta stage. This forum should be used for sharing information about Joomla! 4.0.

Moderator: ooffick

Forum rules
Post Reply
User avatar
JurajB
Joomla! Explorer
Joomla! Explorer
Posts: 341
Joined: Fri Oct 02, 2015 3:28 pm

Compatibile layer 3.10 and 4.0

Post by JurajB » Mon Aug 03, 2020 1:51 pm

Hello,
is this the first time that Joomla! apply compatibility layers for smoother extension migrations to Joomla! 4?
Thanks.
https://gurutesting.tech - For cooperative testing, learn Joomla!, explore JoomlaExtesnsionsDirectory (JED), fun and friends Joomlers! write here.
testers@gurutesting.tech

User avatar
sozzled
Joomla! Exemplar
Joomla! Exemplar
Posts: 9687
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia

Re: Compatibile layer 3.10 and 4.0

Post by sozzled » Mon Aug 03, 2020 6:39 pm

https://www.kuneze.com/blog
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?” :)

User avatar
JurajB
Joomla! Explorer
Joomla! Explorer
Posts: 341
Joined: Fri Oct 02, 2015 3:28 pm

Re: Compatibile layer 3.10 and 4.0

Post by JurajB » Mon Aug 03, 2020 8:29 pm

Thanks! But thats not all, what about 3.10? Can you be more specific how this alter plugin working and migrating from 3 to v4? And some technical information about this?
https://gurutesting.tech - For cooperative testing, learn Joomla!, explore JoomlaExtesnsionsDirectory (JED), fun and friends Joomlers! write here.
testers@gurutesting.tech

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 12767
Joined: Thu Feb 15, 2007 5:48 am
Location: Zagreb, Croatia

Re: Compatibile layer 3.10 and 4.0

Post by toivo » Tue Aug 04, 2020 1:23 am

Search and you will find documentation, for example:
Version 4.0 Beta FAQ
Joomla 3.10 and the update checker
Toivo Talikka, Global Moderator

User avatar
JurajB
Joomla! Explorer
Joomla! Explorer
Posts: 341
Joined: Fri Oct 02, 2015 3:28 pm

Re: Compatibile layer 3.10 and 4.0

Post by JurajB » Tue Aug 04, 2020 10:49 am

"The team that finally submitted the Pull Request to the Core CMS where: Samuel Schepp, Kevin Linne and David Donges. "
Its a typo ? before : should be were?
Im not that good in english but this sentence didnt make sense to me.

OK. So the update checker was here in J!2.x to J!3 migration.
But the compatibile layer in 3.10 is new thing in Joomla! world, right?
Anyway Im impressed how georgeous project Joomla! is. And also tons of features under the hood. Prepare for future. IOT, intelligent cities, city administration - Joomla! 4 is on the way.
https://gurutesting.tech - For cooperative testing, learn Joomla!, explore JoomlaExtesnsionsDirectory (JED), fun and friends Joomlers! write here.
testers@gurutesting.tech

User avatar
JAVesey
Joomla! Hero
Joomla! Hero
Posts: 2259
Joined: Tue May 14, 2013 1:21 pm
Location: Cardiff, Wales, UK
Contact:

Re: Compatibile layer 3.10 and 4.0

Post by JAVesey » Tue Aug 04, 2020 12:01 pm

JurajB wrote:
Tue Aug 04, 2020 10:49 am
Its a typo ? before : should be were?
Yes.

The correct English would be "The team that finally submitted the Pull Request to the Core CMS were Samuel Schepp, Kevin Linne and David Donges." (so "were" instead of "where" and no ":").

This is not a criticism, of course; English isn't everyone's first language and you worked out what the correct wording should have been, so well done you, too :)

I agree that Joomla 4 is looking good and the 3.9.x --> 3.10.0 --> 4.0.0 transition is taking shape nicely. Kudos to the Dev team :D
John V
Cardiff, Wales, UK
Uses Joomla 3.9.22 and PHP7.4.11

User avatar
brian
Joomla! Master
Joomla! Master
Posts: 11957
Joined: Fri Aug 12, 2005 7:19 am
Location: Leeds, UK
Contact:

Re: Compatibile layer 3.10 and 4.0

Post by brian » Tue Aug 04, 2020 10:12 pm

There is no such thing as a compatible layer
"Exploited yesterday... Hacked tomorrow"
Blog http://brian.teeman.net/
Joomla Hidden Secrets http://hiddenjoomlasecrets.com/

User avatar
JurajB
Joomla! Explorer
Joomla! Explorer
Posts: 341
Joined: Fri Oct 02, 2015 3:28 pm

Re: Compatibile layer 3.10 and 4.0

Post by JurajB » Wed Aug 05, 2020 7:30 am

brian :) so tells us what is this thing? layer should be understanded in more ways. So than it is a backwards compatibility? Isnt there something that keeps plugins a room for migration - I dont know both J4 and J3 supported plugins at once?
Thanks.
https://gurutesting.tech - For cooperative testing, learn Joomla!, explore JoomlaExtesnsionsDirectory (JED), fun and friends Joomlers! write here.
testers@gurutesting.tech


Post Reply

Return to “Joomla! 4 Related”